Difference between revisions of "Draft Line/it"

From FreeCAD Documentation
Jump to: navigation, search
 
(8 intermediate revisions by the same user not shown)
Line 6: Line 6:
  
 
==Descrizione==
 
==Descrizione==
Crea un segmento tra due punti nel [[Draft SelectPlane/it|piano di lavoro]] corrente. Il segmento assume [[Draft Linestyle/it|il tipo di linea e il colore]] impostati in precedenza nella Barra dei comandi  [[Draft Tray/it|Draft Tray]]. Lo strumento Linea si comporta esattamente come lo strumento [[Draft Wire/it|DWire]] di Draft, tranne che si disattiva dopo che sono stati definiti due punti.
+
Crea un segmento tra due punti nel [[Draft SelectPlane/it|piano di lavoro]] corrente. Il segmento assume [[Draft Linestyle/it|il tipo di linea e il colore]] impostati in precedenza nella [[Draft Tray/it|barra di Draft]]. Lo strumento Linea si comporta esattamente come lo strumento [[Draft Wire/it|DWire]] di Draft, tranne che si disattiva dopo che sono stati definiti due punti.
  
 
[[Image:Draft_Line_example.jpg|400px]]
 
[[Image:Draft_Line_example.jpg|400px]]
Line 17: Line 17:
 
# Fare clic su un secondo punto nella vista 3D, o digitare le sue coordinate e poi premere il pulsante {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/it|inserisci punto]]}}.
 
# Fare clic su un secondo punto nella vista 3D, o digitare le sue coordinate e poi premere il pulsante {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/it|inserisci punto]]}}.
  
<div class="mw-translate-fuzzy">
 
 
La linea può essere modificata facendo doppio clic sull'elemento nella vista ad albero o premendo il pulsante {{Button|[[Image:Draft Edit.svg|16px]] [[Draft Edit/it|Modifica]]}}. Quindi si possono spostare i punti in una nuova posizione.
 
La linea può essere modificata facendo doppio clic sull'elemento nella vista ad albero o premendo il pulsante {{Button|[[Image:Draft Edit.svg|16px]] [[Draft Edit/it|Modifica]]}}. Quindi si possono spostare i punti in una nuova posizione.
</div>
 
  
<div class="mw-translate-fuzzy">
 
 
===Unire le singole linee===
 
===Unire le singole linee===
Se sono selezionate più [[Draft Line/it|linee]] collegate, esse possono essere fuse in una polilinea premendo lo strumento {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade/it|Upgrade]]}}, ma questa polilinea non sarà modificabile. Per creare una polilinea modificabile, usare {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade/it|Upgrade]]}} altre tre volte sulle nuove forme (contorno, contorno chiuso, faccia). Si possono anche fondere le linee originali con lo strumento {{Button|[[Image:Draft Wire.svg|16px]] [[Draft Wire/it|Polilinea]]}}.
+
Se sono selezionate più [[Draft Line/it|linee]] collegate, esse possono essere fuse in una polilinea premendo lo strumento {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade/it|Upgrade]]}}, ma questa polilinea non sarà modificabile.<br>
</div>
+
Per creare una polilinea modificabile, usare {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade/it|Upgrade]]}} altre tre volte sulle nuove forme (contorno, contorno chiuso, faccia). Si possono anche fondere le linee originali con lo strumento {{Button|[[Image:Draft Wire.svg|16px]] [[Draft Wire/it|Polilinea]]}}.
  
 
Una polilinea può anche essere creata da una singola linea aggiungendo un altro punto ovunque lungo la sua lunghezza. Per fare ciò, premere il pulsante {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/it|inserisci punto]]}}, e fare clic in qualsiasi punto della linea.
 
Una polilinea può anche essere creata da una singola linea aggiungendo un altro punto ovunque lungo la sua lunghezza. Per fare ciò, premere il pulsante {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/it|inserisci punto]]}}, e fare clic in qualsiasi punto della linea.
  
<div class="mw-translate-fuzzy">
 
 
==Opzioni==
 
==Opzioni==
 
* Premere {{KEY|X}}, o {{KEY|Y}}, o {{KEY|Z}} dopo il primo punto per vincolare il secondo punto su un dato asse.
 
* Premere {{KEY|X}}, o {{KEY|Y}}, o {{KEY|Z}} dopo il primo punto per vincolare il secondo punto su un dato asse.
 
* Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere {{KEY|Invio}} tra ciascun componente X, Y e Z.
 
* Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere {{KEY|Invio}} tra ciascun componente X, Y e Z.
** Si possono anche definire le coordinate polari del punto dando un valore a "Lunghezza" e "Angolo". Fare clic sulla casella accanto a "Angolo" per vincolare il puntatore all'angolo specificato. È possibile premere il pulsante {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/it|inserisci punto]]}} quando si hanno i valori desiderati per inserire il punto.
+
** Si possono anche definire le coordinate polari del punto dando un valore a "Lunghezza" e "Angolo". Fare clic sulla casella accanto a "Angolo" per vincolare il puntatore all'angolo specificato.  
 +
** È possibile premere il pulsante {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/it|inserisci punto]]}} quando si hanno i valori desiderati per inserire il punto.
 
* Premere il tasto {{KEY|R}} oppure fare clic sulla casella di controllo per attivare la modalità "relativo". Se la modalità relativo è attiva, le coordinate del punto successivo sono relative all'ultimo; in caso contrario, sono assolute, prese dall'origine (0,0,0).
 
* Premere il tasto {{KEY|R}} oppure fare clic sulla casella di controllo per attivare la modalità "relativo". Se la modalità relativo è attiva, le coordinate del punto successivo sono relative all'ultimo; in caso contrario, sono assolute, prese dall'origine (0,0,0).
 
* Premere il tasto {{KEY|T}} oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Linea si riavvia dopo aver terminato la linea in costruzione, e consente di disegnarne una nuova linea senza premere nuovamente il pulsante dello strumento
 
* Premere il tasto {{KEY|T}} oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Linea si riavvia dopo aver terminato la linea in costruzione, e consente di disegnarne una nuova linea senza premere nuovamente il pulsante dello strumento
Line 39: Line 36:
 
* Premere i tasti {{KEY|Ctrl}}+{{KEY|Z}} o premere il pulsante {{button|[[Image:Draft UndoLine.png|12px]] [[Draft_UndoLine/it|Undo]]}} per annullare l'ultimo punto.
 
* Premere i tasti {{KEY|Ctrl}}+{{KEY|Z}} o premere il pulsante {{button|[[Image:Draft UndoLine.png|12px]] [[Draft_UndoLine/it|Undo]]}} per annullare l'ultimo punto.
 
* Premere il tasto {{KEY|Esc}} o il pulsante {{button|Chiudi}} per interrompere il comando corrente.
 
* Premere il tasto {{KEY|Esc}} o il pulsante {{button|Chiudi}} per interrompere il comando corrente.
</div>
 
  
<div class="mw-translate-fuzzy">
 
 
==Proprietà==
 
==Proprietà==
 
Un oggetto Linea condivide tutte le proprietà di una [[Draft Wire/it|Polilinea]], tuttavia solo alcune di queste proprietà sono applicabili alla Linee.
 
Un oggetto Linea condivide tutte le proprietà di una [[Draft Wire/it|Polilinea]], tuttavia solo alcune di queste proprietà sono applicabili alla Linee.
</div>
 
  
 
===Dati===
 
===Dati===
Line 57: Line 51:
 
* {{PropertyView|Arrow Type}}: specifica il tipo di simbolo visualizzato alla fine della linea, che può essere "Dot", "Circle", "Arrow", o "Tick" ("Punto", "Cerchio", "Freccia", o "Tratto").
 
* {{PropertyView|Arrow Type}}: specifica il tipo di simbolo visualizzato alla fine della linea, che può essere "Dot", "Circle", "Arrow", o "Tick" ("Punto", "Cerchio", "Freccia", o "Tratto").
  
<div class="mw-translate-fuzzy">
 
 
== Script ==
 
== Script ==
 
{{Emphasis|Vedere anche:}} [[Draft API/it|Draft API]] e [[FreeCAD Scripting Basics/it|Nozioni di base sugli script di FreeCAD]].
 
{{Emphasis|Vedere anche:}} [[Draft API/it|Draft API]] e [[FreeCAD Scripting Basics/it|Nozioni di base sugli script di FreeCAD]].
</div>
 
  
<div class="mw-translate-fuzzy">
 
 
Lo strumento Linea può essere utilizzato nelle [[macros/it|macro]] e dalla console [[Python/it|Python]] utilizzando la seguente funzione:
 
Lo strumento Linea può essere utilizzato nelle [[macros/it|macro]] e dalla console [[Python/it|Python]] utilizzando la seguente funzione:
</div>
 
 
{{Code|code=
 
{{Code|code=
 
Line = makeLine(p1, p2)
 
Line = makeLine(p1, p2)

Latest revision as of 18:56, 6 October 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
FreeCAD.png
Pagina successiva: Polilinea Draft Wire.svg Arrow-right.svg

Draft Line.svg Linea

Posizione nel menu
Draft → Linea
Ambiente
Draft, Architettura
Avvio veloce
L I
Introdotto nella versione
0.7
Vedere anche
DWire, Punto


Descrizione

Crea un segmento tra due punti nel piano di lavoro corrente. Il segmento assume il tipo di linea e il colore impostati in precedenza nella barra di Draft. Lo strumento Linea si comporta esattamente come lo strumento DWire di Draft, tranne che si disattiva dopo che sono stati definiti due punti.

Draft Line example.jpg

Linea creata da due punti


Utilizzo

  1. Premere il pulsante Draft Line.svg Linea o premere i tasti L e I
  2. Fare clic su un primo punto nella vista 3D, o digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg inserisci punto.
  3. Fare clic su un secondo punto nella vista 3D, o digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg inserisci punto.

La linea può essere modificata facendo doppio clic sull'elemento nella vista ad albero o premendo il pulsante Draft Edit.svg Modifica. Quindi si possono spostare i punti in una nuova posizione.

Unire le singole linee

Se sono selezionate più linee collegate, esse possono essere fuse in una polilinea premendo lo strumento Draft Upgrade.svg Upgrade, ma questa polilinea non sarà modificabile.
Per creare una polilinea modificabile, usare Draft Upgrade.svg Upgrade altre tre volte sulle nuove forme (contorno, contorno chiuso, faccia). Si possono anche fondere le linee originali con lo strumento Draft Wire.svg Polilinea.

Una polilinea può anche essere creata da una singola linea aggiungendo un altro punto ovunque lungo la sua lunghezza. Per fare ciò, premere il pulsante Draft AddPoint.svg inserisci punto, e fare clic in qualsiasi punto della linea.

Opzioni

  • Premere X, o Y, o Z dopo il primo punto per vincolare il secondo punto su un dato asse.
  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio tra ciascun componente X, Y e Z.
    • Si possono anche definire le coordinate polari del punto dando un valore a "Lunghezza" e "Angolo". Fare clic sulla casella accanto a "Angolo" per vincolare il puntatore all'angolo specificato.
    • È possibile premere il pulsante Draft AddPoint.svg inserisci punto quando si hanno i valori desiderati per inserire il punto.
  • Premere il tasto R oppure fare clic sulla casella di controllo per attivare la modalità "relativo". Se la modalità relativo è attiva, le coordinate del punto successivo sono relative all'ultimo; in caso contrario, sono assolute, prese dall'origine (0,0,0).
  • Premere il tasto T oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Linea si riavvia dopo aver terminato la linea in costruzione, e consente di disegnarne una nuova linea senza premere nuovamente il pulsante dello strumento
  • Tenere premuto Ctrl mentre si disegna per forzare l'aggancio del proprio punto alla posizione di aggancio più vicina, indipendentemente dalla distanza.
  • Tenere premuto Maiusc mentre si disegna per vincolare il prossimo punto in orizzontale o in verticale rispetto all'ultimo.
  • Premere i tasti Ctrl+Z o premere il pulsante Draft UndoLine.png Undo per annullare l'ultimo punto.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente.

Proprietà

Un oggetto Linea condivide tutte le proprietà di una Polilinea, tuttavia solo alcune di queste proprietà sono applicabili alla Linee.

Dati

  • DATAStart: specifica il punto di partenza.
  • DATAEnd: specifica il punto finale.
  • DATASubdivisions: specifica il numero di nodi interni nella linea. Disponibile dalla versione 0.16
  • DATALength: (sola lettura) specifica la lunghezza del segmento.

Vista

  • VIEWEnd Arrow: se è True verrà visualizzato un simbolo nell'ultimo punto della linea, quindi può essere usata come una linea di annotazione.
  • VIEWArrow Size: specifica la dimensione del simbolo visualizzato alla fine della linea.
  • VIEWArrow Type: specifica il tipo di simbolo visualizzato alla fine della linea, che può essere "Dot", "Circle", "Arrow", o "Tick" ("Punto", "Cerchio", "Freccia", o "Tratto").

Script

Vedere anche: Draft API e Nozioni di base sugli script di FreeCAD.

Lo strumento Linea può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

Line = makeLine(p1, p2)
Line = makeLine(LineSegment)
Line = makeLine(Shape)
  • Crea un oggetto Line tra i punti p1 e p2, ciascuno definito dal suo FreeCAD.Vector, con unità in millimetri.
  • Crea un oggetto Line da un Part.LineSegment.
  • Crea un oggetto Line dal primo vertice all'ultimo vertice della data Shape.

Esempio:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 500, 0)
p3 = FreeCAD.Vector(-250, -500, 0)
p4 = FreeCAD.Vector(500, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
Line2 = Draft.makeLine(p3, p4)
FreeCAD.png
Pagina successiva: Polilinea Draft Wire.svg Arrow-right.svg